Eclipse Rich Ajax Platform

## org.eclipse.swt.dnd
Class RTFTransfer

    java.lang.Object
      org.eclipse.swt.dnd.Transfer
          org.eclipse.swt.dnd.ByteArrayTransfer
              org.eclipse.swt.dnd.RTFTransfer

    public class RTFTransfer

extends ByteArrayTransfer

The class `RTFTransfer` provides a platform specific mechanism for converting text in RTF format represented as a java `String` to a platform specific representation of the data and vice versa.

An example of a java `String` containing RTF text is shown below:

`

         String rtfData = "{\\rtf1{\\colortbl;\\red255\\green0\\blue0;}\\uc1\\b\\i Hello World}";

`

Since:
  1.3
See Also:
  `Transfer`

Method Summary
`static RTFTransfer` `getInstance()` Returns the singleton instance of the RTFTransfer class.
`protected int[]` `getTypeIds()` Returns the platform specific ids of the data types that can be converted using this transfer agent.
`protected java.lang.String[]` `getTypeNames()` Returns the platform specific names of the data types that can be converted using this transfer agent.
`void` `javaToNative(java.lang.Object object, TransferData transferData)` This implementation of `javaToNative` converts RTF-formatted text represented by a java `String` to a platform specific representation.
`java.lang.Object` `nativeToJava(TransferData transferData)` This implementation of `nativeToJava` converts a platform specific representation of RTF text to a java `String`.
`protected boolean` `validate(java.lang.Object object)` Test that the object is of the correct format for this Transfer class.

Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer
`getSupportedTypes, isSupportedType`

Methods inherited from class org.eclipse.swt.dnd.Transfer
`registerType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RTFTransfer getInstance()

  Returns the singleton instance of the RTFTransfer class.

  Returns:
    the singleton instance of the RTFTransfer class

### javaToNative

    public void javaToNative(java.lang.Object object,
                             TransferData transferData)

  This implementation of `javaToNative` converts RTF-formatted text represented by a java `String` to a platform specific representation.

  Overrides:
    `javaToNative` in class `ByteArrayTransfer`
  Parameters:
    `object` - a java `String` containing RTF text
    `transferData` - an empty `TransferData` object that will be filled in on return with the platform specific format of the data
  See Also:
    `Transfer.nativeToJava(org.eclipse.swt.dnd.TransferData)`

### nativeToJava

    public java.lang.Object nativeToJava(TransferData transferData)

  This implementation of `nativeToJava` converts a platform specific representation of RTF text to a java `String`.

  Overrides:
    `nativeToJava` in class `ByteArrayTransfer`
  Parameters:
    `transferData` - the platform specific representation of the data to be converted
  Returns:
    a java `String` containing RTF text if the conversion was successful; otherwise null
  See Also:
    `Transfer.javaToNative(java.lang.Object, org.eclipse.swt.dnd.TransferData)`

### getTypeIds

    protected int[] getTypeIds()

  Description copied from class: `Transfer`
  Returns the platform specific ids of the data types that can be converted using this transfer agent.

  Specified by:
    `getTypeIds` in class `Transfer`
  Returns:
    the platform specific ids of the data types that can be converted using this transfer agent

### getTypeNames

    protected java.lang.String[] getTypeNames()

  Description copied from class: `Transfer`
  Returns the platform specific names of the data types that can be converted using this transfer agent.

  Specified by:
    `getTypeNames` in class `Transfer`
  Returns:
    the platform specific names of the data types that can be converted using this transfer agent.

### validate

    protected boolean validate(java.lang.Object object)

  Description copied from class: `Transfer`
  Test that the object is of the correct format for this Transfer class.

  Overrides:
    `validate` in class `Transfer`
  Parameters:
    `object` - a java representation of the data to be converted
  Returns:
    true if object is of the correct form for this transfer type

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.